> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Import blog posts from CSV/XLSX file



## OpenAPI

````yaml /api-reference/blogs/openapi.json post /blogs/site/import-csv
openapi: 3.0.0
info:
  title: Blogs API
  description: Documentation for Blogs
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: blogs
    description: Documentation for Blogs
paths:
  /blogs/site/import-csv:
    post:
      summary: Import blog posts from CSV/XLSX file
      operationId: ImportBlogCSV
      parameters:
        - name: blogId
          required: true
          in: query
          description: Blog ID
          schema:
            type: string
        - name: locationId
          required: true
          in: query
          description: Location ID
          schema:
            type: string
      responses:
        '201':
          description: ''

````